server:
  port: 8203

mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  type-enums-package: com.atguigu.ssyx.enums
spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://82.157.68.223:3306/shequ-product?characterEncoding=utf-8&useSSL=false
    username: shequ-product
    password: shequ-product
  rabbitmq:
    host: 43.143.164.194
    port: 5672
    username: guest
    password: guest
    publisher-confirm-type: CORRELATED  #发布确认模式，消息是否被成功发送到交换机
    publisher-returns: true
    listener:
      simple:
        prefetch: 1
        concurrency: 3
        acknowledge-mode: manual   #消费端手动确认

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

aliyun:
  endpoint: oss-cn-beijing.aliyuncs.com
  keyid: LTAI5tHWGPq6o62dMMV1hn1i
  keysecret: FyUK59nlI0bf1MFHLuEvtBwXl2CJjA
  bucketname: ssyx-yovinchen

